Package org.bukkit.event.entity

# Class EntityCombustEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityCombustEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `EntityCombustByBlockEvent`, `EntityCombustByEntityEvent`

public class EntityCombustEvent extends EntityEvent implements Cancellable
Called when an entity combusts.

If an Entity Combust event is cancelled, the entity will not combust.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityCombustEvent(@NotNull Entity combustee, int duration)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDuration()`
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setDuration(int duration)`
The number of seconds the combustee should be alight for.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityCombustEvent

public EntityCombustEvent(@NotNull @NotNull Entity combustee, int duration)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getDuration

public int getDuration()

Returns:
  the amount of time (in seconds) the combustee should be alight for

### setDuration

public void setDuration(int duration)
The number of seconds the combustee should be alight for.

This value will only ever increase the combustion time, not decrease existing combustion times.

Parameters:
  `duration` - the time in seconds to be alight for.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()